# Uses of Interface
org.eclipse.ecf.filetransfer.IFileTransferInfo

Packages that use IFileTransferInfo
Package
Description
org.eclipse.ecf.filetransfer
org.eclipse.ecf.filetransfer.events
org.eclipse.ecf.provider.filetransfer.outgoing

## Uses of IFileTransferInfo in org.eclipse.ecf.filetransfer

Classes in org.eclipse.ecf.filetransfer that implement IFileTransferInfo
Modifier and Type
Class
Description
`class`
`FileTransferInfo`
File transfer information delivered to `IIncomingFileTransferRequestListener` via an event implementing `IFileTransferRequestEvent.getFileTransferInfo()`
Methods in org.eclipse.ecf.filetransfer with parameters of type IFileTransferInfo
Modifier and Type
Method
Description
`void`
ISendFileTransferContainerAdapter.`sendOutgoingRequest(IFileID targetReceiver, IFileTransferInfo localFileToSend, IFileTransferListener transferListener, Map options)`
Send request for outgoing file transfer.

## Uses of IFileTransferInfo in org.eclipse.ecf.filetransfer.events

Methods in org.eclipse.ecf.filetransfer.events that return IFileTransferInfo
Modifier and Type
Method
Description
`IFileTransferInfo`
IFileTransferRequestEvent.`getFileTransferInfo()`
Get file transfer info associated with this file transfer request even

## Uses of IFileTransferInfo in org.eclipse.ecf.provider.filetransfer.outgoing

Fields in org.eclipse.ecf.provider.filetransfer.outgoing declared as IFileTransferInfo
Modifier and Type
Field
Description
`protected IFileTransferInfo`
AbstractOutgoingFileTransfer.`fileTransferInfo`
Methods in org.eclipse.ecf.provider.filetransfer.outgoing that return IFileTransferInfo
Modifier and Type
Method
Description
`protected IFileTransferInfo`
AbstractOutgoingFileTransfer.`getFileTransferInfo()`
Methods in org.eclipse.ecf.provider.filetransfer.outgoing with parameters of type IFileTransferInfo
Modifier and Type
Method
Description
`void`
AbstractOutgoingFileTransfer.`sendOutgoingRequest(IFileID targetReceiver, IFileTransferInfo localFileToSend, IFileTransferListener transferListener, Map ops)`
`void`
MultiProtocolOutgoingAdapter.`sendOutgoingRequest(IFileID targetID, IFileTransferInfo localFileToSend, IFileTransferListener transferListener, Map options)`